Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(22)

Issue 2280623002: [wasm] Create a new fuzzer for wasm code. (Closed)

Created:
3 years, 3 months ago by ahaas
Modified:
3 years, 3 months ago
CC:
v8-reviews_googlegroups.com
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[wasm] Create a new fuzzer for wasm code. The new fuzzer constructs a dummy module header and uses the fuzzer data only as function code. R=titzer@chromium.org, jochen@chromium.org Committed: https://crrev.com/cb259fbd3938eab94739445d8a9110d08d293f87 Cr-Commit-Position: refs/heads/master@{#38983}

Patch Set 1 #

Patch Set 2 : typo in BUILD.gn #

Patch Set 3 : Add the new fuzzer to run-tests.py #

Total comments: 1

Patch Set 4 : include wasm_code #

Patch Set 5 : Getting the naming scheme right #

Unified diffs Side-by-side diffs Delta from patch set Stats (+65 lines, -7 lines) Patch
M BUILD.gn View 1 2 3 4 1 chunk +15 lines, -0 lines 0 comments Download
M test/fuzzer/fuzzer.gyp View 1 2 1 chunk +26 lines, -0 lines 0 comments Download
M test/fuzzer/fuzzer.isolate View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M test/fuzzer/testcfg.py View 1 2 1 chunk +1 line, -1 line 0 comments Download
A + test/fuzzer/wasm-code.cc View 1 2 2 chunks +22 lines, -7 lines 0 comments Download
A + test/fuzzer/wasm_code/foo View 1 2 0 chunks +-1 lines, --1 lines 0 comments Download

Messages

Total messages: 33 (22 generated)
ahaas
3 years, 3 months ago (2016-08-25 09:15:08 UTC) #1
ahaas
On 2016/08/25 at 09:15:08, ahaas wrote: > PTAL, fixed a typo in BUILD.gn
3 years, 3 months ago (2016-08-25 09:55:45 UTC) #10
jochen (gone - plz use gerrit)
please make sure that run-tests.py executes your test (needs to be mentioned in testcfg.py and ...
3 years, 3 months ago (2016-08-26 15:12:51 UTC) #11
ahaas
On 2016/08/26 at 15:12:51, jochen wrote: > please make sure that run-tests.py executes your test ...
3 years, 3 months ago (2016-08-29 09:17:45 UTC) #14
jochen (gone - plz use gerrit)
https://codereview.chromium.org/2280623002/diff/40001/test/fuzzer/fuzzer.isolate File test/fuzzer/fuzzer.isolate (right): https://codereview.chromium.org/2280623002/diff/40001/test/fuzzer/fuzzer.isolate#newcode20 test/fuzzer/fuzzer.isolate:20: './wasm_asmjs/', i guess you'll also need to include wasm_code ...
3 years, 3 months ago (2016-08-29 09:28:55 UTC) #17
ahaas
On 2016/08/29 at 09:28:55, jochen wrote: > https://codereview.chromium.org/2280623002/diff/40001/test/fuzzer/fuzzer.isolate > File test/fuzzer/fuzzer.isolate (right): > > https://codereview.chromium.org/2280623002/diff/40001/test/fuzzer/fuzzer.isolate#newcode20 ...
3 years, 3 months ago (2016-08-29 12:27:51 UTC) #26
jochen (gone - plz use gerrit)
lgtm for hooking up stuff... can't judge the actual fuzzer
3 years, 3 months ago (2016-08-29 12:28:46 UTC) #27
titzer
On 2016/08/29 12:28:46, jochen wrote: > lgtm for hooking up stuff... can't judge the actual ...
3 years, 3 months ago (2016-08-29 13:43:00 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2280623002/80001
3 years, 3 months ago (2016-08-29 13:53:25 UTC) #30
commit-bot: I haz the power
Committed patchset #5 (id:80001)
3 years, 3 months ago (2016-08-29 13:55:46 UTC) #31
commit-bot: I haz the power
3 years, 3 months ago (2016-08-29 13:56:09 UTC) #33
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/cb259fbd3938eab94739445d8a9110d08d293f87
Cr-Commit-Position: refs/heads/master@{#38983}

Powered by Google App Engine
This is Rietveld 408576698